- Home
- About
- Testimonials
- Demos
- Download
- Documentation
- Blogs
- Forum
- Support

Packages: default System System.Caching System.Collections System.Data System.Data.ActiveRecord System.Data.ActiveRecord.Relations System.Data.ActiveRecord.Scaffold System.Data.ActiveReecord.Scaffold.InputBuilder System.Data.Commom.Sqlite System.Data.Common System.Data.Common.Mssql System.Data.Common.Mysql System.Data.Common.Oracle System.Data.Common.Pgsql System.Data.Common.Sqlite System.Data.DataGateway System.Data.SqlMap System.Data.SqlMap.Configuration System.Data.SqlMap.Statements System.Exceptions System.I18N System.IO System.Security System.Util System.Web System.Web.Services System.Web.UI System.Web.UI.ActiveControls System.Web.UI.WebControls System.Web.UI.WebControls.assets System.Xml Classes: IActiveControl IBindable ICache ICacheDependency ICallbackEventHandler IDataRenderer IModule IRenderable IService IStatePersister IStyleable ITextWriter IUser Prado PradoBase TApplication TApplicationComponent TApplicationConfiguration TApplicationMode TApplicationStatePersister TComponent TComponentReflection TDraggableConstraint TDropContainerEventParameter TEnumerable TEventParameter TModule TPropertyValue TReflectionClass TService TShellApplication |
Keyword
# Class TModule
    TComponent
       |
       --TApplicationComponent
          |
          --TModule
#### Direct Known Sub-classes: TThemeManager , TTemplateManager , THttpResponse , TAssetManager , TUrlManager , TDataSourceConfig , TGlobalization , TParameterModule , TLogRouter , TCache , TSecurityManager , TDbUserManager , TAuthManager , TUserManager , TErrorHandler , TApplicationStatePersister TModule class. TModule implements the basic methods required by IModule and may be used as the basic class for application modules. Since: 3.0 Author: Qiang Xue <qiang.xue@gmail.com>
Method Summary
string | getID ()
void | init ( TXmlElement $config) Initializes the module.
void | setID ( string $value)
Methods Inherited From TApplicationComponent
TApplicationComponent::getApplication(), TApplicationComponent::getRequest(), TApplicationComponent::getResponse(), TApplicationComponent::getService(), TApplicationComponent::getSession(), TApplicationComponent::getUser(), TApplicationComponent::publishAsset(), TApplicationComponent::publishFilePath()
Methods Inherited From TComponent
TComponent::addParsedObject(), TComponent::attachEventHandler(), TComponent::canGetProperty(), TComponent::canSetProperty(), TComponent::createdOnTemplate(), TComponent::detachEventHandler(), TComponent::evaluateExpression(), TComponent::evaluateStatements(), TComponent::getEventHandlers(), TComponent::getSubProperty(), TComponent::hasEvent(), TComponent::hasEventHandler(), TComponent::hasProperty(), TComponent::raiseEvent(), TComponent::setSubProperty(), TComponent::__get(), TComponent::__set()
Method Details
## getID
public string getID | ()
Output
string | id of this module
Exception
## init
public void init | (TXmlElement $config )
Initializes the module. This method is required by IModule and is invoked by application.
Input
TXmlElement | $config | module configuration
Output
Exception
## setID
public void setID | (string $value )
Input
string | $value | id of this module
Output
Exception